Processing: error when to trying to reproject layer

2017-05-04 11:14 PM - Jorge Santos

Status: Rejected

Priority: High

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 24425

Description

In QGIS 2.18.7, when I trying to reproject a single raster, I get the following error:

Algorithm Warp (reproject) starting...

GDAL command:

gdalwarp -ot Float32 -s_srs EPSG:4326 -t_srs EPSG:31982 -r near -of GTiff -te -52.0001388889 -23.0001388889 -50.9998611111

-21.9998611111 -co COMPRESS=DEFLATE -co PREDICTOR=1 -co ZLEVEL=6 -wo OPTIMIZE_SIZE=TRUE

C:/srtm/s23_w052_1arc_v3.tif

C:\Users\hex\AppData\Local\Temp\processing0e7de7e0085044d2a82ab159ab29b9f9\414b3961412e4035998ae2e8f156ca75\OUTPUT.tif

T.tif

GDAL command output:

ERROR 1: Attempt to create 0x0 dataset is illegal,sizes must be larger than zero. 

Converting outputs

Loading resulting layers

The following layers were not correctly generated.

Reprojected

You can check the log messages to find more information about the execution of the algorithm

Related issues:

Duplicates QGIS Application - Bug report # 15339: Warp tool requires CRS of e... Closed 2016-07-25

Associated revisions

Revision abc74b42 - 2017-05-10 02:47 PM - Alexander Bruy

[processing] don't apply -te and -te_srs if not requested (fix #16519)

History

#1 - 2017-05-05 09:51 AM - Alexander Bruy

- Duplicates Bug report #15339: Warp tool requires CRS of extent when no extent set added

#2 - 2017-05-05 09:52 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Rejected

Files

gdalwarp_error.png 36.2 KB 2017-05-04 Jorge Santos

processing_gdalwarp_error.mp4 3.18 MB 2017-05-04 Jorge Santos
